<template>
    <div :id="id" :class="cssclass" :style="myStyle">
        <slot></slot>
    </div>
</template>
<script>
import $ from 'jquery';

export default {
    props: ['id', 'below_element_id'],

    data() {
        return {
            myStyle: {},
            originalTop: 0,
            scrollY: 0,
            top: 0,
            cssclass: {}
        }
    },
    
    mounted() {
        this.originalTop = this.top;
        window.addEventListener('scroll', (event) => {
            this.scrollY = Math.round(window.scrollY);
        });
    },
    
    watch: {
        scrollY(newValue) {
          const rect = this.$el.getBoundingClientRect();
          const newTop = this.scrollY + +this.top - this.originalTop;
        
          if (newTop > 0) {
            this.cssclass = "fixed";
          } else {
            this.cssclass = "";
          }
        }
      },
};
</script>